{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}
    <link rel="stylesheet" type="text/css" href="{{ asset('vendor/slick/slick.css') }}"/>


{% endblock %}



{% block body %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}

        {% endblock %}

        {% block menuBar %}

            <a style="color: #aaa">Skip</a>


        {% endblock %}
    {% endembed %}

    <div id="content">

        <div class="progress mb-3" style="height: 0.4em; ">
            <div class="progress-bar" role="progressbar" style="width: 75%;" aria-valuenow="25"
                 aria-valuemin="0" aria-valuemax="100"></div>
        </div>
        <p class="font-weight-bold text-center f12">Pilih Kelas</p>
    </div>
    <section class="r-bottom container-fluid mt-3" style="padding-bottom: 10em">
        <form>
            <p class="f12 font-weight-bold mt-3 mb-1">SD</p>
            <div class="row pt-3">
                {% for i in 1..6 %}
                    <div class="col-4">
                        <input class="checkbox-jam kelas" type="radio" name="kelas" id="kelas{{ i }}" value="SD {{ i }}"
                                {{ profile.getClass() ==  'SD '~i  ? 'checked' : ''}}  >
                        <label class="for-checkbox-jam" for="kelas{{ i }}" style="font-size: 0.8em">
                            Kelas {{ i }}
                        </label>
                    </div>
                {% endfor %}
            </div>

            <p class="f12 font-weight-bold mt-3 mb-1">SMP</p>
            <div class="row pt-3">
                {% for i in 7..9 %}
                    <div class="col-4">
                        <input class="checkbox-jam kelas" type="radio" name="kelas" id="kelas{{ i }}" value="SMP {{ i }}"
                                {{ profile.getClass() ==  'SMP '~i ? 'checked' : ''}} >
                        <label class="for-checkbox-jam" for="kelas{{ i }}" style="font-size: 0.8em">
                            Kelas {{ i }}
                        </label>
                    </div>
                {% endfor %}
            </div>

            <p class="f12 font-weight-bold mt-3 mb-1">SMA</p>
            <div class="row pt-3">
                {% for i in 10..12 %}
                    <div class="col-4">
                        <input class="checkbox-jam kelas" type="radio" name="kelas" id="kelas{{ i }}ipa"
                               value="{{ i }} IPA" {{ profile.getClass() ==  i ~' IPA' ? 'checked' : ''}}>
                        <label class="for-checkbox-jam" for="kelas{{ i }}ipa" style="font-size: 0.8em">
                            Kelas {{ i }} IPA
                        </label>
                    </div>
                {% endfor %}
                {% for i in 10..12 %}
                    <div class="col-4">
                        <input class="checkbox-jam kelas" type="radio" name="kelas" id="kelas{{ i }}ips"
                               value="{{ i }} IPS" {{ profile.getClass() ==   i ~' IPS' ? 'checked' : ''}}>
                        <label class="for-checkbox-jam" for="kelas{{ i }}ips" style="font-size: 0.8em">
                            Kelas {{ i }} IPS
                        </label>
                    </div>
                {% endfor %}
                {% for i in 10..12 %}
                    <div class="col-4">
                        <input class="checkbox-jam kelas" type="radio" name="kelas" id="kelas{{ i }}bhs"
                               value="{{ i }} Bahasa" {{ profile.getClass() ==   i ~' Bahasa' ? 'checked' : ''}}>
                        <label class="for-checkbox-jam" for="kelas{{ i }}bhs" style="font-size: 0.8em">
                            Kelas {{ i }} BHS
                        </label>
                    </div>
                {% endfor %}
            </div>

            <p class="f12 font-weight-bold mt-3 mb-1">Lainya</p>
            <div class="row pt-3">
                <div class="col-4">
                    <input class="checkbox-jam kelas" type="radio" name="kelas" id="paud" value="PAUD"
                            {{ profile.getClass() ==  'PAUD' ? 'checked' : ''}} >
                    <label class="for-checkbox-jam" for="paud" style="font-size: 0.8em">
                        PAUD
                    </label>
                </div>
                <div class="col-4">
                    <input class="checkbox-jam kelas" type="radio" name="kelas" value="UMUM" id="umum" {{ profile.getClass() ==  'UMUM' ? 'checked' : ''}} >
                    <label class="for-checkbox-jam" for="umum" style="font-size: 0.8em">
                        UMUM
                    </label>
                </div>

            </div>
        </form>
    </section>
    <div class="space-100h"></div>

{% endblock %}

{% block JSMore %}

    <script type="text/javascript" src="{{ asset('vendor/slick/slick.js') }}"></script>

    <script>
        $(document).ready(function () {
            $('.paket').slick({
                arrows: false,
                centerMode: true,
                centerPadding: '20%',
                infinite: false,
                slidesToShow: 2,
                slidesToScroll: 3,
                variableWidth: true,
                responsive: [
                    {
                        breakpoint: 768,
                        settings: {
                            arrows: false,
                            centerMode: true,
                            infinite: false,
                            centerPadding: '15%',
                            slidesToShow: 2,
                            slidesToScroll: 3,
                            variableWidth: true
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            arrows: false,
                            centerMode: true,
                            mobileFirst: true,
                            infinite: false,
                            centerPadding: '10%',
                            slidesToShow: 2,
                            slidesToScroll: 3,
                            variableWidth: true
                        }
                    }
                ]
            });
        });
    </script>

{% endblock %}